Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class LMiter

    java.lang.Object
      org.apache.fop.layoutmgr.LMiter

All Implemented Interfaces:
  java.util.Iterator, java.util.ListIterator

Direct Known Subclasses:
  BlockLayoutManager.ProxyLMiter

public class LMiter
extends java.lang.Object
implements java.util.ListIterator

Field Summary
`protected int` | `curPos`
`protected java.util.List` | `listLMs`

Constructor Summary
`LMiter(LayoutManager lp)`

Method Summary
`void` | `add(java.lang.Object o)`
`boolean` | `hasNext()`
`boolean` | `hasPrevious()`
`java.lang.Object` | `next()`
`int` | `nextIndex()`
`java.lang.Object` | `previous()`
`int` | `previousIndex()`
`void` | `remove()`
`void` | `set(java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listLMs

    protected java.util.List listLMs

### curPos

    protected int curPos

Constructor Detail

### LMiter

    public LMiter(LayoutManager lp)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.ListIterator`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `java.util.ListIterator`

### previous

    public java.lang.Object previous()
                              throws java.util.NoSuchElementException

  Specified by:
    `previous` in interface `java.util.ListIterator`
  Throws:
    `java.util.NoSuchElementException`

### next

    public java.lang.Object next()
                          throws java.util.NoSuchElementException

  Specified by:
    `next` in interface `java.util.ListIterator`
  Throws:
    `java.util.NoSuchElementException`

### remove

    public void remove()
                throws java.util.NoSuchElementException

  Specified by:
    `remove` in interface `java.util.ListIterator`
  Throws:
    `java.util.NoSuchElementException`

### add

    public void add(java.lang.Object o)
             throws java.lang.UnsupportedOperationException

  Specified by:
    `add` in interface `java.util.ListIterator`
  Throws:
    `java.lang.UnsupportedOperationException`

### set

    public void set(java.lang.Object o)
             throws java.lang.UnsupportedOperationException

  Specified by:
    `set` in interface `java.util.ListIterator`
  Throws:
    `java.lang.UnsupportedOperationException`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `java.util.ListIterator`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `java.util.ListIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.